<?php

namespace FacturaScripts\Plugins\Partes\Controller;

use FacturaScripts\Core\Lib\ExtendedController\ListController;

class ListCategoria extends ListController
{
    public function getPageData(): array
    {
        $pageData = parent::getPageData();
        $pageData["title"] = "Categorias";
        $pageData["menu"] = "";
        $pageData["icon"] = "fas fa-search";
        return $pageData;
    }

    protected function createViews(): void
    {
        $this->createViewsCategoria();
    }

    protected function createViewsCategoria(string $viewName = "ListCategoria"): void
    {
        $this->addView($viewName, "Categoria", "Categorias");
        
        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addOrderBy($viewName, ["id"], "id", 2);
        // $this->addOrderBy($viewName, ["name"], "name");
        
        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addSearchFields($viewName, ["id", "name"]);
    }
}
